#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main()
{
    int x, zs=0,j;
    char a[30], b[30][30];
    gets(a);
    x=strlen(a);
    for(j=0;j<x;j++)
        b[0][j]=a[j];
    for(j=0;j<x;j++)
        printf("%s", b[0][j]);
    printf("%d",zs);
    return 0;
}